LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XDefaultProperty Interface Reference

An object supporting this interface indicates to interested parties or clients the name of the default property for this object. More...

`import"XDefaultProperty.idl";`

Inheritance diagram for XDefaultProperty:

## Public Member Functions
string | getDefaultPropertyName ()
| Returns the name of the default property. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

An object supporting this interface indicates to interested parties or clients the name of the default property for this object.

For example where ExampleObject is an instance of an Object that supports this interface which returns the default property name "Value".A scripting engine could use this information to support syntax like

ExampleObject = "foo"

which would be equivalent to writing

ExampleObject.Value = "foo"

or

bar = ExampleObject

which would be equivalent to writing

bar = ExampleObject.Value

## Member Function Documentation

## ◆ getDefaultPropertyName()

string getDefaultPropertyName | ( |  | ) |

Returns the name of the default property.

Returns
  The `string` name of default property

The documentation for this interface was generated from the following file:

- com/sun/star/script/XDefaultProperty.idl